#!/usr/bin/perl

use strict;
use warnings;

use JSON;

use F5::DbUtils;
use F5::Logger;
use F5::Cluster::Sync;

my $cluster_sync = F5::Cluster::Sync->new(dbh => F5::DbUtils::get_dbh(),
                                          logger => F5::Logger->get_logger(logger_name => 'clustering'));

if( !$cluster_sync){
   die "Can't get sync status - ASM is not ready";
}

my $retval = $cluster_sync->get_sync_status;

print to_json($retval);
