#!/usr/bin/perl

use strict;
use warnings;

use F5::ProcessHandler;
use F5::Logger;

my $logger = F5::Logger->new('/ts/log/ts_debug.log');

$logger->info("Attempting to kill all ASM process group") if $logger;

my $process_handler = F5::ProcessHandler->new(logger => $logger);
# kill BD as soon as possible
$process_handler->kill_process('bd');
$process_handler->kill_process_group('all');

$logger->info("Done kill all ASM process group") if $logger;

exit 0;
