#!/usr/bin/perl

use strict;
use warnings;


use JSON;
use F5::XMLProfile;
use F5::DbUtils;

my $request = from_json(<>);

die "Input is not a valid JSON hash" unless ($request && ref($request) eq 'HASH');
my $dbh = F5::DbUtils::get_dbh();

my $result = F5::XMLProfile::handle_validation_files(dbh => $dbh,
                                                     %$request);

print to_json($result) . "\n";

