#ifndef _viol_index
#define _viol_index

#ifdef __cplusplus
extern "C"{
#endif

#define MAX_FACTORY_VIOL_INDEX 126
#define MAX_VIOL_INDEX 127

enum viol_index {

    VIOL_XML_SOAP_ATTACHMENT = 1,
    VIOL_DATA_GUARD = 2,
    VIOL_LOGIN_URL_EXPIRED = 3,
    VIOL_LOGIN_URL_BYPASSED = 4,
    VIOL_REQUEST_MAX_LENGTH = 5,
    VIOL_VIRUS = 6,
    VIOL_EVASION = 7,
    VIOL_XML_WEB_SERVICES_SECURITY = 8,
    VIOL_XML_FORMAT = 9,
    VIOL_XML_SCHEMA = 10,
    VIOL_XML_MALFORMED = 11,
    VIOL_CSRF = 12,
    VIOL_ENCODING = 13,
    VIOL_HTTP_PROTOCOL = 14,
    VIOL_GEOLOCATION = 15,
    VIOL_QUERY_STRING_LENGTH = 16,
    VIOL_REQUEST_LENGTH = 17,
    VIOL_COOKIE_LENGTH = 18,
    VIOL_URL_LENGTH = 19,
    VIOL_CSRF_EXPIRED = 20,
    VIOL_BRUTE_FORCE = 22,
    VIOL_XML_SOAP_METHOD = 23,
    VIOL_PARAMETER_VALUE_METACHAR = 24,
    VIOL_PARAMETER_NAME_METACHAR = 25,
    VIOL_URL_METACHAR = 26,
    VIOL_PARAMETER_REPEATED = 27,
    VIOL_JSON_FORMAT = 28,
    VIOL_HEADER_LENGTH = 29,
    VIOL_PARAMETER_MULTIPART_NULL_VALUE = 30,
    VIOL_POST_DATA_LENGTH = 31,
    VIOL_PARAMETER_EMPTY_VALUE = 32,
    VIOL_PARAMETER = 33,
    VIOL_FLOW_DISALLOWED_INPUT = 34,
    VIOL_DYNAMIC_SESSION = 35,
    VIOL_METHOD = 36,
    VIOL_FLOW = 37,
    VIOL_URL = 38,
    VIOL_FILETYPE = 39,
    VIOL_PARAMETER_VALUE_REGEXP = 40,
    VIOL_FLOW_MANDATORY_PARAMS = 41,
    VIOL_ATTACK_SIGNATURE = 42,
    VIOL_PARAMETER_NUMERIC_VALUE = 43,
    VIOL_PARAMETER_DATA_TYPE = 44,
    VIOL_PARAMETER_VALUE_LENGTH = 45,
    VIOL_PARAMETER_DYNAMIC_VALUE = 46,
    VIOL_PARAMETER_STATIC_VALUE = 47,
    VIOL_COOKIE_EXPIRED = 48,
    VIOL_ASM_COOKIE_HIJACKING = 49,
    VIOL_SESSION_AWARENESS = 50,
    VIOL_FLOW_ENTRY_POINT = 51,
    VIOL_JSON_MALFORMED = 52,
    VIOL_COOKIE_MALFORMED = 53,
    VIOL_COOKIE_MODIFIED = 54,
    VIOL_ASM_COOKIE_MODIFIED = 55,
    VIOL_HTTP_RESPONSE_STATUS = 56,
    VIOL_URL_CONTENT_TYPE = 57,
    VIOL_HEADER_METACHAR = 58,
    VIOL_GWT_MALFORMED = 59,
    VIOL_FILE_UPLOAD = 60,
    VIOL_MALICIOUS_IP = 61,
    VIOL_PARAMETER_VALUE_BASE64 = 62,
    VIOL_GWT_FORMAT = 63,
    VIOL_MANDATORY_HEADER = 64,
    VIOL_REDIRECT = 65,
    VIOL_WEBSOCKET_BAD_REQUEST = 66,
    VIOL_WEBSOCKET_FRAMING_PROTOCOL = 67,
    VIOL_WEBSOCKET_FRAME_MASKING = 68,
    VIOL_WEBSOCKET_FRAME_LENGTH = 69,
    VIOL_WEBSOCKET_TEXT_NULL_VALUE = 70,
    VIOL_CROSS_ORIGIN_REQUEST = 71,
    VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED = 72,
    VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED = 73,
    VIOL_WEBSOCKET_EXTENSION = 74,
    VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT = 75,
    VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH = 76,
    VIOL_PLAINTEXT_FORMAT = 77,
    VIOL_BLACKLISTED_IP = 78,
    VIOL_THREAT_CAMPAIGN = 79,
    VIOL_PARAMETER_ARRAY_VALUE = 80,
    VIOL_JSON_SCHEMA = 81,
    VIOL_MANDATORY_PARAMETER = 82,
    VIOL_PARAMETER_LOCATION = 83,
    VIOL_MALICIOUS_DEVICE = 84,
    VIOL_BLOCKING_CONDITION = 85,
    VIOL_THREAT_ANALYSIS = 86,
    VIOL_LEAKED_CREDENTIALS = 87,
    VIOL_HOSTNAME = 88,
    VIOL_HOSTNAME_MISMATCH = 89,
    VIOL_CONVICTION = 90,
    VIOL_MANDATORY_REQUEST_BODY = 91,
    VIOL_HEADER_REPEATED = 92,
    VIOL_RATING_THREAT = 93,
    VIOL_RATING_NEED_EXAMINATION = 94,
    VIOL_DATA_INTEGRITY = 95,
    VIOL_FILE_UPLOAD_IN_BODY = 96,
    VIOL_SERVER_SIDE_HOST = 97,
    VIOL_GRAPHQL_MALFORMED = 98,
    VIOL_GRAPHQL_FORMAT = 99,
    VIOL_GRAPHQL_INTROSPECTION_QUERY = 121,
    VIOL_BOT_CLIENT = 122,
    VIOL_GRPC_MALFORMED = 123,
    VIOL_GRPC_FORMAT = 124,
    VIOL_GRPC_METHOD = 125,
    VIOL_BROWSER = 126,
};
#ifdef __cplusplus
}
#endif

#endif /* _viol_index */
