#ifndef _viol_index_lookup
#define _viol_index_lookup

#include <string>

static inline unsigned int viol_index_lookup(const std::string &name)
{

    if (name == "VIOL_XML_SOAP_ATTACHMENT") return 1;
    if (name == "VIOL_DATA_GUARD") return 2;
    if (name == "VIOL_LOGIN_URL_EXPIRED") return 3;
    if (name == "VIOL_LOGIN_URL_BYPASSED") return 4;
    if (name == "VIOL_REQUEST_MAX_LENGTH") return 5;
    if (name == "VIOL_VIRUS") return 6;
    if (name == "VIOL_EVASION") return 7;
    if (name == "VIOL_XML_WEB_SERVICES_SECURITY") return 8;
    if (name == "VIOL_XML_FORMAT") return 9;
    if (name == "VIOL_XML_SCHEMA") return 10;
    if (name == "VIOL_XML_MALFORMED") return 11;
    if (name == "VIOL_CSRF") return 12;
    if (name == "VIOL_ENCODING") return 13;
    if (name == "VIOL_HTTP_PROTOCOL") return 14;
    if (name == "VIOL_GEOLOCATION") return 15;
    if (name == "VIOL_QUERY_STRING_LENGTH") return 16;
    if (name == "VIOL_REQUEST_LENGTH") return 17;
    if (name == "VIOL_COOKIE_LENGTH") return 18;
    if (name == "VIOL_URL_LENGTH") return 19;
    if (name == "VIOL_CSRF_EXPIRED") return 20;
    if (name == "VIOL_BRUTE_FORCE") return 22;
    if (name == "VIOL_XML_SOAP_METHOD") return 23;
    if (name == "VIOL_PARAMETER_VALUE_METACHAR") return 24;
    if (name == "VIOL_PARAMETER_NAME_METACHAR") return 25;
    if (name == "VIOL_URL_METACHAR") return 26;
    if (name == "VIOL_PARAMETER_REPEATED") return 27;
    if (name == "VIOL_JSON_FORMAT") return 28;
    if (name == "VIOL_HEADER_LENGTH") return 29;
    if (name == "VIOL_PARAMETER_MULTIPART_NULL_VALUE") return 30;
    if (name == "VIOL_POST_DATA_LENGTH") return 31;
    if (name == "VIOL_PARAMETER_EMPTY_VALUE") return 32;
    if (name == "VIOL_PARAMETER") return 33;
    if (name == "VIOL_FLOW_DISALLOWED_INPUT") return 34;
    if (name == "VIOL_DYNAMIC_SESSION") return 35;
    if (name == "VIOL_METHOD") return 36;
    if (name == "VIOL_FLOW") return 37;
    if (name == "VIOL_URL") return 38;
    if (name == "VIOL_FILETYPE") return 39;
    if (name == "VIOL_PARAMETER_VALUE_REGEXP") return 40;
    if (name == "VIOL_FLOW_MANDATORY_PARAMS") return 41;
    if (name == "VIOL_ATTACK_SIGNATURE") return 42;
    if (name == "VIOL_PARAMETER_NUMERIC_VALUE") return 43;
    if (name == "VIOL_PARAMETER_DATA_TYPE") return 44;
    if (name == "VIOL_PARAMETER_VALUE_LENGTH") return 45;
    if (name == "VIOL_PARAMETER_DYNAMIC_VALUE") return 46;
    if (name == "VIOL_PARAMETER_STATIC_VALUE") return 47;
    if (name == "VIOL_COOKIE_EXPIRED") return 48;
    if (name == "VIOL_ASM_COOKIE_HIJACKING") return 49;
    if (name == "VIOL_SESSION_AWARENESS") return 50;
    if (name == "VIOL_FLOW_ENTRY_POINT") return 51;
    if (name == "VIOL_JSON_MALFORMED") return 52;
    if (name == "VIOL_COOKIE_MALFORMED") return 53;
    if (name == "VIOL_COOKIE_MODIFIED") return 54;
    if (name == "VIOL_ASM_COOKIE_MODIFIED") return 55;
    if (name == "VIOL_HTTP_RESPONSE_STATUS") return 56;
    if (name == "VIOL_URL_CONTENT_TYPE") return 57;
    if (name == "VIOL_HEADER_METACHAR") return 58;
    if (name == "VIOL_GWT_MALFORMED") return 59;
    if (name == "VIOL_FILE_UPLOAD") return 60;
    if (name == "VIOL_MALICIOUS_IP") return 61;
    if (name == "VIOL_PARAMETER_VALUE_BASE64") return 62;
    if (name == "VIOL_GWT_FORMAT") return 63;
    if (name == "VIOL_MANDATORY_HEADER") return 64;
    if (name == "VIOL_REDIRECT") return 65;
    if (name == "VIOL_WEBSOCKET_BAD_REQUEST") return 66;
    if (name == "VIOL_WEBSOCKET_FRAMING_PROTOCOL") return 67;
    if (name == "VIOL_WEBSOCKET_FRAME_MASKING") return 68;
    if (name == "VIOL_WEBSOCKET_FRAME_LENGTH") return 69;
    if (name == "VIOL_WEBSOCKET_TEXT_NULL_VALUE") return 70;
    if (name == "VIOL_CROSS_ORIGIN_REQUEST") return 71;
    if (name == "VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED") return 72;
    if (name == "VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED") return 73;
    if (name == "VIOL_WEBSOCKET_EXTENSION") return 74;
    if (name == "VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT") return 75;
    if (name == "VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH") return 76;
    if (name == "VIOL_PLAINTEXT_FORMAT") return 77;
    if (name == "VIOL_BLACKLISTED_IP") return 78;
    if (name == "VIOL_THREAT_CAMPAIGN") return 79;
    if (name == "VIOL_PARAMETER_ARRAY_VALUE") return 80;
    if (name == "VIOL_JSON_SCHEMA") return 81;
    if (name == "VIOL_MANDATORY_PARAMETER") return 82;
    if (name == "VIOL_PARAMETER_LOCATION") return 83;
    if (name == "VIOL_MALICIOUS_DEVICE") return 84;
    if (name == "VIOL_BLOCKING_CONDITION") return 85;
    if (name == "VIOL_THREAT_ANALYSIS") return 86;
    if (name == "VIOL_LEAKED_CREDENTIALS") return 87;
    if (name == "VIOL_HOSTNAME") return 88;
    if (name == "VIOL_HOSTNAME_MISMATCH") return 89;
    if (name == "VIOL_CONVICTION") return 90;
    if (name == "VIOL_MANDATORY_REQUEST_BODY") return 91;
    if (name == "VIOL_HEADER_REPEATED") return 92;
    if (name == "VIOL_RATING_THREAT") return 93;
    if (name == "VIOL_RATING_NEED_EXAMINATION") return 94;
    if (name == "VIOL_DATA_INTEGRITY") return 95;
    if (name == "VIOL_FILE_UPLOAD_IN_BODY") return 96;
    if (name == "VIOL_SERVER_SIDE_HOST") return 97;
    if (name == "VIOL_GRAPHQL_MALFORMED") return 98;
    if (name == "VIOL_GRAPHQL_FORMAT") return 99;
    if (name == "VIOL_GRAPHQL_INTROSPECTION_QUERY") return 121;
    if (name == "VIOL_BOT_CLIENT") return 122;
    if (name == "VIOL_GRPC_MALFORMED") return 123;
    if (name == "VIOL_GRPC_FORMAT") return 124;
    if (name == "VIOL_GRPC_METHOD") return 125;
    if (name == "VIOL_BROWSER") return 126;
    return 0; // not found
}

#endif /* _viol_index_lookup */
