#ifndef _viol_index_section
#define _viol_index_section

#ifdef __cplusplus
extern "C" {
#endif

static inline asmconfig::SectionType viol_index_section(unsigned int index)
{
    switch (index)
    {

        case 6: return asmconfig::SECTION_TYPE_ANTIVIRUS;
        case 42: return asmconfig::SECTION_TYPE_ATTACK_SIGNATURES;
        case 122: return asmconfig::SECTION_TYPE_BOT_DEFENSE;
        case 126: return asmconfig::SECTION_TYPE_BOT_DEFENSE;
        case 99: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 52: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 123: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 121: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 8: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 11: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 59: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 77: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 23: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 125: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 28: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 124: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 81: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 10: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 63: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 1: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 9: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 98: return asmconfig::SECTION_TYPE_CONTENT_PROFILES;
        case 55: return asmconfig::SECTION_TYPE_COOKIES;
        case 48: return asmconfig::SECTION_TYPE_COOKIES;
        case 53: return asmconfig::SECTION_TYPE_COOKIES;
        case 54: return asmconfig::SECTION_TYPE_COOKIES;
        case 18: return asmconfig::SECTION_TYPE_COOKIES;
        case 20: return asmconfig::SECTION_TYPE_CSRF_PROTECTION;
        case 12: return asmconfig::SECTION_TYPE_CSRF_PROTECTION;
        case 2: return asmconfig::SECTION_TYPE_DATA_GUARD;
        case 7: return asmconfig::SECTION_TYPE_EVASION_TECHNIQUES;
        case 19: return asmconfig::SECTION_TYPE_FILETYPES;
        case 16: return asmconfig::SECTION_TYPE_FILETYPES;
        case 39: return asmconfig::SECTION_TYPE_FILETYPES;
        case 17: return asmconfig::SECTION_TYPE_FILETYPES;
        case 31: return asmconfig::SECTION_TYPE_FILETYPES;
        case 62: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 56: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 35: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 5: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 94: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 13: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 86: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 93: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 85: return asmconfig::SECTION_TYPE_GENERAL_SETTINGS;
        case 88: return asmconfig::SECTION_TYPE_HEADERS;
        case 92: return asmconfig::SECTION_TYPE_HEADERS;
        case 29: return asmconfig::SECTION_TYPE_HEADERS;
        case 36: return asmconfig::SECTION_TYPE_HEADERS;
        case 64: return asmconfig::SECTION_TYPE_HEADERS;
        case 58: return asmconfig::SECTION_TYPE_HEADERS;
        case 89: return asmconfig::SECTION_TYPE_HEADERS;
        case 14: return asmconfig::SECTION_TYPE_HTTP_PROTOCOL;
        case 15: return asmconfig::SECTION_TYPE_IP_ADDRESSES;
        case 61: return asmconfig::SECTION_TYPE_IP_ADDRESSES;
        case 84: return asmconfig::SECTION_TYPE_IP_ADDRESSES;
        case 78: return asmconfig::SECTION_TYPE_IP_ADDRESSES;
        case 95: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 83: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 30: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 27: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 80: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 33: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 45: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 46: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 24: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 44: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 82: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 43: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 25: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 97: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 47: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 40: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 32: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 60: return asmconfig::SECTION_TYPE_PARAMETERS;
        case 65: return asmconfig::SECTION_TYPE_REDIRECTION_PROTECTION;
        case 3: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 87: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 49: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 90: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 4: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 50: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 22: return asmconfig::SECTION_TYPE_SESSIONS_AND_LOGINS;
        case 79: return asmconfig::SECTION_TYPE_THREAT_CAMPAIGNS;
        case 96: return asmconfig::SECTION_TYPE_URLS;
        case 37: return asmconfig::SECTION_TYPE_URLS;
        case 51: return asmconfig::SECTION_TYPE_URLS;
        case 41: return asmconfig::SECTION_TYPE_URLS;
        case 74: return asmconfig::SECTION_TYPE_URLS;
        case 73: return asmconfig::SECTION_TYPE_URLS;
        case 34: return asmconfig::SECTION_TYPE_URLS;
        case 69: return asmconfig::SECTION_TYPE_URLS;
        case 38: return asmconfig::SECTION_TYPE_URLS;
        case 91: return asmconfig::SECTION_TYPE_URLS;
        case 71: return asmconfig::SECTION_TYPE_URLS;
        case 26: return asmconfig::SECTION_TYPE_URLS;
        case 72: return asmconfig::SECTION_TYPE_URLS;
        case 75: return asmconfig::SECTION_TYPE_URLS;
        case 76: return asmconfig::SECTION_TYPE_URLS;
        case 57: return asmconfig::SECTION_TYPE_URLS;
        case 66: return asmconfig::SECTION_TYPE_WEBSOCKET_PROTOCOL;
        case 70: return asmconfig::SECTION_TYPE_WEBSOCKET_PROTOCOL;
        case 68: return asmconfig::SECTION_TYPE_WEBSOCKET_PROTOCOL;
        case 67: return asmconfig::SECTION_TYPE_WEBSOCKET_PROTOCOL;
        default: return asmconfig::SECTION_TYPE_USER_VIOLATIONS;
    };
}

#ifdef __cplusplus
}
#endif

#endif /* _viol_index_section */
