#ifndef _viol_index_str
#define _viol_index_str

#ifdef __cplusplus
extern "C" {
#endif

static inline const char *viol_index_str(unsigned int index)
{
    switch (index)
    {

        case 1: return "VIOL_XML_SOAP_ATTACHMENT";
        case 2: return "VIOL_DATA_GUARD";
        case 3: return "VIOL_LOGIN_URL_EXPIRED";
        case 4: return "VIOL_LOGIN_URL_BYPASSED";
        case 5: return "VIOL_REQUEST_MAX_LENGTH";
        case 6: return "VIOL_VIRUS";
        case 7: return "VIOL_EVASION";
        case 8: return "VIOL_XML_WEB_SERVICES_SECURITY";
        case 9: return "VIOL_XML_FORMAT";
        case 10: return "VIOL_XML_SCHEMA";
        case 11: return "VIOL_XML_MALFORMED";
        case 12: return "VIOL_CSRF";
        case 13: return "VIOL_ENCODING";
        case 14: return "VIOL_HTTP_PROTOCOL";
        case 15: return "VIOL_GEOLOCATION";
        case 16: return "VIOL_QUERY_STRING_LENGTH";
        case 17: return "VIOL_REQUEST_LENGTH";
        case 18: return "VIOL_COOKIE_LENGTH";
        case 19: return "VIOL_URL_LENGTH";
        case 20: return "VIOL_CSRF_EXPIRED";
        case 22: return "VIOL_BRUTE_FORCE";
        case 23: return "VIOL_XML_SOAP_METHOD";
        case 24: return "VIOL_PARAMETER_VALUE_METACHAR";
        case 25: return "VIOL_PARAMETER_NAME_METACHAR";
        case 26: return "VIOL_URL_METACHAR";
        case 27: return "VIOL_PARAMETER_REPEATED";
        case 28: return "VIOL_JSON_FORMAT";
        case 29: return "VIOL_HEADER_LENGTH";
        case 30: return "VIOL_PARAMETER_MULTIPART_NULL_VALUE";
        case 31: return "VIOL_POST_DATA_LENGTH";
        case 32: return "VIOL_PARAMETER_EMPTY_VALUE";
        case 33: return "VIOL_PARAMETER";
        case 34: return "VIOL_FLOW_DISALLOWED_INPUT";
        case 35: return "VIOL_DYNAMIC_SESSION";
        case 36: return "VIOL_METHOD";
        case 37: return "VIOL_FLOW";
        case 38: return "VIOL_URL";
        case 39: return "VIOL_FILETYPE";
        case 40: return "VIOL_PARAMETER_VALUE_REGEXP";
        case 41: return "VIOL_FLOW_MANDATORY_PARAMS";
        case 42: return "VIOL_ATTACK_SIGNATURE";
        case 43: return "VIOL_PARAMETER_NUMERIC_VALUE";
        case 44: return "VIOL_PARAMETER_DATA_TYPE";
        case 45: return "VIOL_PARAMETER_VALUE_LENGTH";
        case 46: return "VIOL_PARAMETER_DYNAMIC_VALUE";
        case 47: return "VIOL_PARAMETER_STATIC_VALUE";
        case 48: return "VIOL_COOKIE_EXPIRED";
        case 49: return "VIOL_ASM_COOKIE_HIJACKING";
        case 50: return "VIOL_SESSION_AWARENESS";
        case 51: return "VIOL_FLOW_ENTRY_POINT";
        case 52: return "VIOL_JSON_MALFORMED";
        case 53: return "VIOL_COOKIE_MALFORMED";
        case 54: return "VIOL_COOKIE_MODIFIED";
        case 55: return "VIOL_ASM_COOKIE_MODIFIED";
        case 56: return "VIOL_HTTP_RESPONSE_STATUS";
        case 57: return "VIOL_URL_CONTENT_TYPE";
        case 58: return "VIOL_HEADER_METACHAR";
        case 59: return "VIOL_GWT_MALFORMED";
        case 60: return "VIOL_FILE_UPLOAD";
        case 61: return "VIOL_MALICIOUS_IP";
        case 62: return "VIOL_PARAMETER_VALUE_BASE64";
        case 63: return "VIOL_GWT_FORMAT";
        case 64: return "VIOL_MANDATORY_HEADER";
        case 65: return "VIOL_REDIRECT";
        case 66: return "VIOL_WEBSOCKET_BAD_REQUEST";
        case 67: return "VIOL_WEBSOCKET_FRAMING_PROTOCOL";
        case 68: return "VIOL_WEBSOCKET_FRAME_MASKING";
        case 69: return "VIOL_WEBSOCKET_FRAME_LENGTH";
        case 70: return "VIOL_WEBSOCKET_TEXT_NULL_VALUE";
        case 71: return "VIOL_CROSS_ORIGIN_REQUEST";
        case 72: return "VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED";
        case 73: return "VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED";
        case 74: return "VIOL_WEBSOCKET_EXTENSION";
        case 75: return "VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT";
        case 76: return "VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH";
        case 77: return "VIOL_PLAINTEXT_FORMAT";
        case 78: return "VIOL_BLACKLISTED_IP";
        case 79: return "VIOL_THREAT_CAMPAIGN";
        case 80: return "VIOL_PARAMETER_ARRAY_VALUE";
        case 81: return "VIOL_JSON_SCHEMA";
        case 82: return "VIOL_MANDATORY_PARAMETER";
        case 83: return "VIOL_PARAMETER_LOCATION";
        case 84: return "VIOL_MALICIOUS_DEVICE";
        case 85: return "VIOL_BLOCKING_CONDITION";
        case 86: return "VIOL_THREAT_ANALYSIS";
        case 87: return "VIOL_LEAKED_CREDENTIALS";
        case 88: return "VIOL_HOSTNAME";
        case 89: return "VIOL_HOSTNAME_MISMATCH";
        case 90: return "VIOL_CONVICTION";
        case 91: return "VIOL_MANDATORY_REQUEST_BODY";
        case 92: return "VIOL_HEADER_REPEATED";
        case 93: return "VIOL_RATING_THREAT";
        case 94: return "VIOL_RATING_NEED_EXAMINATION";
        case 95: return "VIOL_DATA_INTEGRITY";
        case 96: return "VIOL_FILE_UPLOAD_IN_BODY";
        case 97: return "VIOL_SERVER_SIDE_HOST";
        case 98: return "VIOL_GRAPHQL_MALFORMED";
        case 99: return "VIOL_GRAPHQL_FORMAT";
        case 121: return "VIOL_GRAPHQL_INTROSPECTION_QUERY";
        case 122: return "VIOL_BOT_CLIENT";
        case 123: return "VIOL_GRPC_MALFORMED";
        case 124: return "VIOL_GRPC_FORMAT";
        case 125: return "VIOL_GRPC_METHOD";
        case 126: return "VIOL_BROWSER";
        default: return "VIOL_UNKNOWN";
    }
}

#ifdef __cplusplus
}
#endif

#endif /* _viol_index_str */
