package F5::CommonUpgrade::LoginBruteForceForceBlocking;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.3.0';
our $tables_handled = [ qw(PLC.PL_LOGIN_BRUTE_FORCE_OBJECT_ATTRIBUTES) ];


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{account_detection} && !$row->{transparent_mode}) {
      $row->{flg_force_blocking} = 1;
    }
}

1;

